%def_disable static
# %define unstable 1
#add_findprov_lib_path %_libdir/pkcs11

Name: opensc
Version: 0.11.8
Release: alt0.M50.1

Group: System/Configuration/Hardware
Summary: OpenSC library - for accessing SmartCard devices using PC/SC Lite
Url: http://www.opensc-project.org/
License: LGPL

Requires: lib%name = %version-%release

Source: %name-%version.tar

Packager: Andriy Stepanov <stanv@altlinux.ru>

BuildRequires: db2latex-xsl docbook-dtds docbook-style-xsl gcc-c++ gcc-fortran glibc-devel-static libassuan-devel libltdl-devel libopenct-devel libreadline-devel libssl-devel subversion wget xsltproc zlib-devel
BuildRequires: libXt-devel
BuildRequires: browser-plugins-npapi-devel

%package -n lib%name
Group: System/Libraries
Summary: OpenSC library - for accessing SmartCard devices using PC/SC Lite

%package -n lib%name-devel
Group: Development/Other
Summary: OpenSC development files
Requires: lib%name = %version-%release

%package -n lib%name-devel-static
Group: Development/Other
Summary: Static OpenSC libraries
Requires: lib%name-devel = %version-%release

%package -n pam_opensc
Group: System/Base
Summary: OpenSC module for PAM
License: GPL
Requires: lib%name = %version-%release

%description
libopensc is a library for accessing SmartCard devices using PC/SC
Lite middleware package. It is also the core library of the OpenSC
project. Basic functionality (e.g. SELECT FILE, READ BINARY) should
work on any ISO 7816-4 compatible SmartCard. Encryption and decryption
using private keys on the SmartCard is at the moment possible only
with PKCS#15 compatible cards, such as the FINEID (Finnish Electronic
IDentity) card manufactured by Setec.

%description -n lib%name
libopensc is a library for accessing SmartCard devices using PC/SC
Lite middleware package. It is also the core library of the OpenSC
project. Basic functionality (e.g. SELECT FILE, READ BINARY) should
work on any ISO 7816-4 compatible SmartCard. Encryption and decryption
using private keys on the SmartCard is at the moment possible only
with PKCS#15 compatible cards, such as the FINEID (Finnish Electronic
IDentity) card manufactured by Setec.

%description -n lib%name-devel
OpenSC development files.

%description -n lib%name-devel-static
Static OpenSC libraries.

%description -n pam_opensc
OpenSC module for PAM.

%prep
%setup -q

#ln -sf ../../scconf/scconf.h src/include/opensc
#ln -sf ./npinclude/npunix.c src/signer

%build
# rm -f m4/libtool.m4 m4/lt*.m4

%autoreconf
%if %unstable
%define optflags_debug -g
%define _optlevel 0
%add_optflags %optflags_debug
%def_enable debug
%endif

#%add_optflags %optflags_debug %optflags_shared -I../../src/signer/npinclude
%add_optflags %optflags_debug %optflags_shared
export CFLAGS="%optflags"
#    --enable-static \
%configure \
     %{subst_enable static} \
    --enable-shared \
    --enable-openct \
    --enable-nsplugin \
    -with-plugindir=%browser_plugins_path \
    --with-xsl-stylesheetsdir=/usr/share/xml/docbook/xsl-stylesheets \

#%make_build -C src/scconf libscconf.la    
#%make_build -C src/scldap libscldap.la
%make_build

%install
%if %unstable
%set_strip_method none
%endif
%__make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p %buildroot/%_sysconfdir/
install -m 640 etc/opensc.conf %buildroot/%_sysconfdir/opensc.conf
#install -m 640 etc/scldap.conf.example %buildroot/%_sysconfdir/scldap.conf

#install -d $RPM_BUILD_ROOT/lib
#mv -f $RPM_BUILD_ROOT%_libdir/security $RPM_BUILD_ROOT/lib

# libscam.a is broken (contains libscrandom.a) and not needed (static module)
# rm -f $RPM_BUILD_ROOT%_libdir/libscam.{a,la}

%files
# %doc doc/nonpersistent/ChangeLog 
#%doc doc/nonpersistent/wiki.out
%doc doc/html.out/tools.html
%doc NEWS README

%attr(0644,root,root) %config(noreplace) %_sysconfdir/opensc.conf
%_bindir/opensc-tool
%_bindir/pkcs15-init
%_bindir/rutoken-tool
%_bindir/cardos-info
%_bindir/cardos-tool
%_bindir/pkcs15-tool
%_bindir/eidenv
%_bindir/opensc-explorer
%_bindir/netkey-tool
%_bindir/cryptoflex-tool
%_bindir/pkcs11-tool
%_bindir/piv-tool
%_bindir/pkcs15-crypt
%doc %_mandir/*/*

%files -n lib%name
%_libdir/lib*.so.*
%_libdir/opensc-pkcs11.so*
%_libdir/pkcs11-spy.so*
%_libdir/onepin-opensc-pkcs11.so*
%dir %_libdir/pkcs11
%_libdir/pkcs11/pkcs11-spy.so
%_libdir/pkcs11/opensc-pkcs11.so
%_libdir/pkcs11/onepin-opensc-pkcs11.so
%dir %_datadir/opensc
%_datadir/opensc/*.profile
%browser_plugins_path/opensc-signer.so
%_libdir/opensc-signer.so*

%files -n lib%name-devel
%doc doc/html.out/api.html
%_libdir/pkgconfig/libopensc.pc
%_libdir/pkgconfig/libpkcs15init.pc
%_libdir/pkgconfig/libscconf.pc
%_bindir/opensc-config
%_libdir/libopensc.so
#%_libdir/libpkcs11.so
%_libdir/libpkcs15init.so
%_libdir/libscconf.so
#%_libdir/libscldap.so
#%_libdir/libscrandom.a
#%_libdir/libscam.a
#%_libdir/libopensc.la
#%_libdir/libpkcs15init.la
#%_libdir/libscconf.la
#%_libdir/libscldap.la
%_includedir/opensc

%if_enabled static
%files -n lib%name-devel-static
%_libdir/libopensc.a
%_libdir/libpkcs15init.a
%_libdir/libscconf.a
%_libdir/libscldap.a
%endif

#%files -n pam_opensc
#/lib/security/pam_opensc.so

%changelog
* Tue May 19 2009 Andriy Stepanov <stanv@altlinux.ru> 0.11.8-alt0.M50.1
- Backport to ALT Linux branch 5.0

* Sun May 17 2009 Andriy Stepanov <stanv@altlinux.ru> 0.11.8-alt1
- New upstream version.

* Thu Feb 26 2009 Andriy Stepanov <stanv@altlinux.ru> 0.11.7-alt1
- New upstream version.

* Tue Sep 02 2008 Andriy Stepanov <stanv@altlinux.ru> 0.11.6-alt2
- fix rights to opensc.conf

* Tue Sep 02 2008 Andriy Stepanov <stanv@altlinux.ru> 0.11.6-alt1
- update to new upstream version

* Tue Apr 22 2008 Andriy Stepanov <stanv@altlinux.ru> 0.11.4-alt5
- Update patch for from rutoken (opensc-0.11.4-0.11.4.rutoken-0.3.2.diff)

* Tue Nov 06 2007 Andriy Stepanov <stanv@altlinux.ru> 0.11.4-alt4
- ruToken: rnd bug

* Tue Oct 30 2007 Andriy Stepanov <stanv@altlinux.ru> 0.11.4-alt3
- Patch from ruToken

* Tue Oct 30 2007 Andriy Stepanov <stanv@altlinux.ru> 0.11.4-alt2
- Patch from ruToken

* Tue Oct 30 2007 Andriy Stepanov <stanv@altlinux.ru> 0.11.4-alt1
- Fixed ruToken for work with GOST keys

* Wed Sep 26 2007 Anton Farygin <rider@altlinux.ru> 0.11.3-alt4
- Updated rutoken patch

* Mon Sep 24 2007 Andriy Stepanov <stanv@altlinux.ru> 0.11.3-alt3
- Applay new changes for RuToken

* Mon Aug 13 2007 Andriy Stepanov <stanv@altlinux.ru> 0.11.3-alt2
- debug

* Thu Aug 02 2007 Andriy Stepanov <stanv@altlinux.ru> 0.11.3-alt1
- Switch to new version. Add rutoken support.

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.11.1-alt1.1
- Rebuilt due to libcrypto.so.4 -> libcrypto.so.6 soname change.

* Mon Jul 03 2006 Sergey V Turchin <zerg at altlinux dot org> 0.11.1-alt1
- new version

* Mon Nov 15 2004 Sergey V Turchin <zerg at altlinux dot org> 0.8.1-alt4
- fix BuildRequires

* Mon Oct 11 2004 Sergey V Turchin <zerg at altlinux dot org> 0.8.1-alt3
- rebuild

* Tue Apr 06 2004 Sergey V Turchin <zerg at altlinux dot org> 0.8.1-alt2
- add patches from PLD

* Mon Nov 24 2003 Sergey V Turchin <zerg at altlinux dot org> 0.8.1-alt1
- new version
- compile without text relocations

* Mon Sep 29 2003 Sergey V Turchin <zerg at altlinux dot org> 0.7.0-alt1
- build for ALT

* Wed Mar 12 2003 PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: opensc.spec,v $
Revision 1.7  2003/03/12 11:13:58  qboosh
- nest support

Revision 1.6  2003/03/11 18:08:25  wiget
- remove libtools macros from acinclude.m4

Revision 1.5  2003/03/11 17:08:19  qboosh
- added fix for SEGV

Revision 1.4  2003/03/11 13:12:19  qboosh
- added nolibs patch - -lresolv is not necessary

Revision 1.3  2003/03/10 20:22:49  qboosh
- ac >= 2.52

Revision 1.2  2003/03/10 16:10:29  qboosh
- some work - builds now

Revision 1.1  2002/12/18 22:34:06  hunter
-NYF!
